package main

import (
	"fmt"
	"os"

	"github.com/spf13/cobra"

	"data_minio/cmd"
)

var (
	rootCmd = &cobra.Command{
		Use:     "data_minio",
		Long:    "data_minio is a data to minio & database tool",
		Version: "v 1.0",
	}
)

func init() {
	rootCmd.AddCommand(cmd.NewStartCmd())
}

func main() {
	if err := rootCmd.Execute(); err != nil {
		_, _ = fmt.Fprint(os.Stderr, err.Error())
		os.Exit(1)
	}
}
